gedit r6685 - in branches/win32: . win32



Author: icq
Date: Mon Dec 22 14:03:59 2008
New Revision: 6685
URL: http://svn.gnome.org/viewvc/gedit?rev=6685&view=rev

Log:
2008-12-22  Ignacio Casal Quinteiro  <nacho resa gmail com>

        * win32/querymodules.bat:
        * win32/Makefile.am:
        * win32/build-installer:
        * win32/README:
        * win32/gedit.iss.in:
        * configure.ac:
        * Makefile.am:
        Added win32 installer scripts based on glom ones.



Added:
   branches/win32/win32/
   branches/win32/win32/Makefile.am
   branches/win32/win32/README
   branches/win32/win32/build-installer   (contents, props changed)
   branches/win32/win32/gedit.iss.in
   branches/win32/win32/querymodules.bat   (contents, props changed)
Modified:
   branches/win32/ChangeLog
   branches/win32/Makefile.am
   branches/win32/configure.ac

Modified: branches/win32/Makefile.am
==============================================================================
--- branches/win32/Makefile.am	(original)
+++ branches/win32/Makefile.am	Mon Dec 22 14:03:59 2008
@@ -1,7 +1,7 @@
 ## Process this file with automake to produce Makefile.in
 ACLOCAL_AMFLAGS = -I m4
 
-SUBDIRS = plugin-loaders gedit pixmaps po help data plugins docs
+SUBDIRS = plugin-loaders gedit pixmaps po help data plugins docs win32
 
 distuninstallcheck_listfiles = find . -type f -print | grep -v scrollkeeper
 

Modified: branches/win32/configure.ac
==============================================================================
--- branches/win32/configure.ac	(original)
+++ branches/win32/configure.ac	Mon Dec 22 14:03:59 2008
@@ -417,7 +417,9 @@
 plugins/spell/Makefile
 plugins/taglist/Makefile
 plugins/time/Makefile
-po/Makefile.in])
+po/Makefile.in
+win32/gedit.iss
+win32/Makefile])
 
 AC_OUTPUT
 

Added: branches/win32/win32/Makefile.am
==============================================================================
--- (empty file)
+++ branches/win32/win32/Makefile.am	Mon Dec 22 14:03:59 2008
@@ -0,0 +1,2 @@
+# Stuff to build the Windows installer:
+EXTRA_DIST = gedit.iss.in build-installer querymodules.bat

Added: branches/win32/win32/README
==============================================================================
--- (empty file)
+++ branches/win32/win32/README	Mon Dec 22 14:03:59 2008
@@ -0,0 +1,17 @@
+To create the Windows installer for gedit, ideally all you have to do is to run
+the build-installer script, after having installed all dependencies to the
+correct places (that means precompiled ones to /, and self-built
+ones to /local/). Also, you will need to have Python at C:\Python25.
+The Inno Setup compiler (iscc) needs to be in your PATH.
+
+There are many paths hardcoded to fit my own build environment. Feel free to
+generalize the script, to make it more adaptive to other environments.
+
+The script takes an argument which is the revision number of the installer. If
+it is not given, then it uses 1 as revision number. The revision number should
+be increased every time the installer for the same gedit version is updated,
+and be reset to 1 for a new gedit version.
+
+Ignacio Casal Quinteiro <nacho resa gmail com>
+
+This script was based in Armin Burgmeier script for glom.

Added: branches/win32/win32/build-installer
==============================================================================
--- (empty file)
+++ branches/win32/win32/build-installer	Mon Dec 22 14:03:59 2008
@@ -0,0 +1,200 @@
+#!/bin/sh
+echo "You need to execute this on a Windows machine within msys (http://www.mingw.org)"
+echo "You also need InnoSetup (http://www.innosetup.org) with iscc in your PATH"
+echo "You need to have python, pygobject, pycairo and pygtk installed into C:\\Python25"
+echo "Make sure gedit and all its dependencies have been installed correctly to /local"
+
+revision=$1
+if test "$revision" = ''; then
+  echo "Installer revision not provided, assuming 1"
+  revision=1
+fi
+
+# TODO: Let configure replace @pyexecdir@ to get the correct python path?
+PYTHONDIR=/c/Python25
+
+echo "Cleanup..."
+if test -e installer; then
+  rm installer -Rf || exit;
+fi
+
+mkdir -p installer || exit
+
+echo "Copying DLL files..."
+
+mkdir -p installer/bin
+
+#cp /local/bin/libintl-8.dll installer/bin || exit
+cp /bin/libgettextpo-0.dll installer/bin || exit
+# TODO: There are no usable libxslt Windows binaries, therefore I built this myself:
+#cp /local/bin/libxslt-1.dll installer/bin || exit
+
+cp /bundle/bin/libglib-2.0-0.dll installer/bin || exit
+cp /bundle/bin/libgio-2.0-0.dll installer/bin || exit
+cp /bundle/bin/libgmodule-2.0-0.dll installer/bin || exit
+cp /bundle/bin/libgobject-2.0-0.dll installer/bin || exit
+cp /bundle/bin/libgthread-2.0-0.dll installer/bin || exit
+
+# TODO: We can probably omit these, as we do not use g_spawn on Windows anymore
+cp /bundle/bin/gspawn-win32-helper.exe installer/bin || exit
+cp /bundle/bin/gspawn-win32-helper-console.exe installer/bin || exit
+
+cp /bundle/bin/libatk-1.0-0.dll installer/bin || exit
+cp /bundle/bin/libcairo-2.dll installer/bin || exit
+cp /bundle/bin/libpng12-0.dll installer/bin || exit
+cp /bundle/bin/jpeg62.dll installer/bin || exit
+cp /bundle/bin/libtiff3.dll installer/bin || exit
+
+cp /bundle/bin/libpango-1.0-0.dll installer/bin || exit
+cp /bundle/bin/libpangocairo-1.0-0.dll installer/bin || exit
+cp /bundle/bin/libpangowin32-1.0-0.dll installer/bin || exit
+
+cp /bundle/bin/libgdk-win32-2.0-0.dll installer/bin || exit
+cp /bundle/bin/libgdk_pixbuf-2.0-0.dll installer/bin || exit
+
+cp /bundle/bin/libgtk-win32-2.0-0.dll installer/bin || exit
+cp /gtksourceview/bin/libgtksourceview-2.0-0.dll installer/bin || exit
+
+cp /bin/libORBit-2-0.dll installer/bin || exit
+cp /bin/libORBitCosNaming-2-0.dll installer/bin || exit
+cp /bin/libORBit-imodule-2-0.dll installer/bin || exit
+
+cp /bin/libgconf-2-4.dll installer/bin || exit
+
+echo "Stripping DLL files..."
+strip installer/bin/*.dll || exit
+strip installer/bin/*.exe || exit
+
+# stripping libxml2.dll renders it unusable (although not changing it in size).
+# We therefore copy it after having stripped the rest. Same with the other DLLs
+# here. Perhaps those were built with MSVC.
+cp /bundle/bin/libxml2.dll installer/bin || exit
+cp /bundle/bin/intl.dll installer/bin || exit
+cp /bundle/bin/iconv.dll installer/bin || exit
+cp /bundle/bin/zlib1.dll installer/bin || exit
+
+echo "Copying Python..."
+
+# TODO: Find out Windows directory somehow, perhaps by looking at PATH?
+cp /c/WINDOWS/system32/python25.dll installer/bin || exit
+
+# We through all python modules into python/. Glom sets PYTHONPATH accordingly.
+mkdir -p installer/python || exit
+
+# TODO: Perhaps some scripts need more python modules.
+cp $PYTHONDIR/Lib/*.py installer/python || exit
+
+mkdir -p installer/python/encodings || exit
+cp $PYTHONDIR/Lib/encodings/*.py installer/python/encodings || exit
+
+cp $PYTHONDIR/Lib/site-packages/glom.pyd installer/python || exit
+strip installer/python/glom.pyd || exit
+cp $PYTHONDIR/Lib/site-packages/gtk-2.0/gda.pyd installer/python || exit
+strip installer/python/gda.pyd || exit
+
+cp $PYTHONDIR/Lib/site-packages/pygtk.py installer/python || exit
+cp $PYTHONDIR/Lib/site-packages/gtk-2.0/*.pyd installer/python || exit
+
+mkdir -p installer/python/gobject || exit
+cp $PYTHONDIR/Lib/site-packages/gtk-2.0/gobject/*.py installer/python/gobject || exit
+cp $PYTHONDIR/Lib/site-packages/gtk-2.0/gobject/*.pyd installer/python/gobject || exit
+
+mkdir -p installer/python/cairo || exit
+cp $PYTHONDIR/Lib/site-packages/cairo/*.py installer/python/cairo || exit
+cp $PYTHONDIR/Lib/site-packages/cairo/*.pyd installer/python/cairo || exit
+
+mkdir -p installer/python/gtk || exit
+cp $PYTHONDIR/Lib/site-packages/gtk-2.0/gtk/*.py installer/python/gtk || exit
+cp $PYTHONDIR/Lib/site-packages/gtk-2.0/gtk/*.pyd installer/python/gtk || exit
+
+echo "Copying modules..."
+
+cp $PYTHONDIR/Lib/site-packages/glom.pyd installer/bin || exit
+cp $PYTHONDIR/Lib/site-packages/gtk-2.0/gda.pyd installer/bin || exit
+strip installer/bin/*.pyd || exit
+
+#mkdir -p installer/lib/gtk-2.0/2.10.0/immodules || exit
+#cp /lib/gtk-2.0/2.10.0/immodules/*.dll installer/lib/gtk-2.0/2.10.0/immodules || exit
+#strip installer/lib/gtk-2.0/2.10.0/immodules/*.dll || exit
+#cp /bin/gtk-query-immodules-2.0.exe installer || exit
+
+mkdir -p installer/lib/gtk-2.0/2.10.0/engines || exit
+cp /bundle/lib/gtk-2.0/2.10.0/engines/libwimp.dll installer/lib/gtk-2.0/2.10.0/engines || exit
+strip installer/lib/gtk-2.0/2.10.0/engines/libwimp.dll || exit
+
+#mkdir -p installer/lib/gtk-2.0/2.10.0/loaders || exit
+#cp /lib/gtk-2.0/2.10.0/loaders/*.dll installer/lib/gtk-2.0/2.10.0/loaders || exit
+#strip installer/lib/gtk-2.0/2.10.0/loaders/*.dll || exit
+#cp /bin/gdk-pixbuf-query-loaders.exe installer || exit
+
+# TODO: Can we omit this?
+mkdir -p installer/etc/gtk-2.0
+cp /bundle/etc/gtk-2.0/gtk.immodules installer/etc/gtk-2.0 || exit -1
+cp /bundle/etc/gtk-2.0/gdk-pixbuf.loaders installer/etc/gtk-2.0 || exit -1
+
+mkdir -p installer/share/themes || exit
+cp -R /bundle/share/themes/MS-Windows installer/share/themes || exit
+mkdir -p installer/etc/gtk-2.0 || exit
+echo "gtk-theme-name = \"MS-Windows\"" > installer/etc/gtk-2.0/gtkrc || exit
+
+echo "Copying locales..."
+
+# We need to keep the locale files from share/locale in share/locale and those
+# from lib/locale in lib/locale:
+cp /bundle/share/locale installer/share -R || exit
+cp /share/locale installer/share -R || exit
+#cp /lib/locale installer/lib -R || exit
+cp /local/lib/locale installer/lib -R || exit
+#cp /gtksourceview/lib/locale installer/lib -R || exit
+
+find installer/lib/locale/ -type f | grep -v atk10.mo | grep -v gtk20.mo | grep -v bakery.mo | grep -v GConf2.mo | grep -v glib20.mo | grep -v glom.mo | grep -v gtk20.mo | grep -v gtk20-properties.mo | grep -v gtksourceview-2.0.mo |  grep -v libgda-3.0.mo | xargs rm
+find installer/lib/locale -type d | xargs rmdir -p --ignore-fail-on-non-empty
+
+find installer/share/locale/ -type f | grep -v atk10.mo | grep -v gtk20.mo | grep -v bakery.mo | grep -v GConf2.mo | grep -v glib20.mo | grep -v gedit.mo | grep -v gtk20.mo | grep -v gtk20-properties.mo | grep -v gtksourceview-2.0.mo |  grep -v libgda-3.0.mo | xargs rm
+find installer/share/locale -type d | xargs rmdir -p --ignore-fail-on-non-empty
+
+echo "Copying executable..."
+cp /local/bin/gedit.exe installer/bin || exit
+strip installer/bin/gedit.exe || exit
+
+
+echo "Copying shared data (ui files, icons, etc.)..."
+
+mkdir -p installer/share/gtksourceview-2.0 || exit
+cp -R /gtksourceview/share/gtksourceview-2.0/language-specs installer/share/gtksourceview-2.0 || exit
+cp -R /gtksourceview/share/gtksourceview-2.0/styles installer/share/gtksourceview-2.0 || exit
+
+#GtkBuilder files and xml files
+mkdir -p installer/share/gedit-2/ui || exit
+cp /local/share/gedit-2/ui/* installer/share/gedit-2/ui || exit
+
+#Icons & logo
+mkdir -p installer/share/gedit-2/icons || exit
+cp /local/share/gedit-2/icons/gedit-plugin.png installer/share/gedit-2/icons || exit
+mkdir -p installer/share/gedit-2/logo || exit
+cp /local/share/gedit-2/logo/gedit-logo.png installer/share/gedit-2/logo || exit
+
+#Taglist
+mkdir -p installer/share/gedit-2/taglist || exit
+cp /local/share/gedit-2/taglist/* installer/share/gedit-2/taglist || exit
+
+#Plugins FIXME: This can be improved
+mkdir -p installer/share/gedit-2/plugins || exit
+cp -R /local/share/gedit-2/plugins/* installer/share/gedit-2/plugins || exit
+
+mkdir -p installer/share/icons/hicolor/48x48/apps || exit
+cp /local/share/icons/hicolor/48x48/apps/gedit.png installer/share/icons/hicolor/48x48/apps || exit
+
+# This is used for the glom icon in the initial dialog. I'm not sure why GTK
+# does not already get it from the icons/ directory, but it took me already
+# long enough to figure out that this works:
+mkdir -p installer/share/pixmaps
+cp /local/share/icons/hicolor/16x16/apps/gedit.png installer/share/pixmaps || exit
+
+echo "Creating installer..."
+
+perl -pe "s/INSTALLERREVISION/$revision/" gedit.iss > installer/gedit.iss || exit
+#cp installer || exit
+iscc installer/gedit.iss || exit
+
+echo "Done"

Added: branches/win32/win32/gedit.iss.in
==============================================================================
--- (empty file)
+++ branches/win32/win32/gedit.iss.in	Mon Dec 22 14:03:59 2008
@@ -0,0 +1,167 @@
+[Setup]
+AppName=gedit
+AppVerName=gedit @VERSION@
+DefaultDirName={pf}\gedit
+DefaultGroupName=gedit
+UninstallDisplayIcon={app}\gedit.exe
+Uninstallable=yes
+AppPublisher=GNOME
+AppPublisherURL=http://www.gedit.org/
+AppVersion= VERSION@
+OutputBaseFilename=gedit-setup- VERSION@-INSTALLERREVISION
+
+[Components]
+Name: "gtk"; Description: "GTK+ runtime environment"; Types: full compact custom; Flags: fixed
+Name: "python"; Description: "Python runtime and modules"; Types: full compact custom; Flags: fixed
+Name: "main"; Description: "Glom"; Types: full compact custom; Flags: fixed
+Name: "locale"; Description: "Translations"; Types: full compact custom; Flags: fixed
+
+; TODO: Enable languages separately
+
+[Tasks]
+Name: common; Description: "For all users"; Components: main; Flags: exclusive
+Name: user; Description: "For the current user only"; Components: main; Flags: exclusive unchecked
+
+[Icons]
+; Common task icons
+Name: "{commonprograms}\{groupname}\gedit"; Filename: "{app}\bin\gedit.exe"; Tasks: common
+Name: "{commonprograms}\{groupname}\Uninstall gedit"; Filename: "{uninstallexe}"; Tasks: common
+
+; User task icons
+Name: "{userprograms}\{groupname}\gedit"; Filename: "{app}\bin\gedit.exe"; Tasks: user
+Name: "{userprograms}\{groupname}\Uninstall gedit"; Filename: "{uninstallexe}"; Tasks: user
+
+[Files]
+
+; GTK+
+Source: "bin\intl.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\iconv.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\zlib1.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libpng12-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\jpeg62.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libtiff3.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libxml2.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libxslt-1.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libglib-2.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libgobject-2.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libgio-2.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libgmodule-2.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libgthread-2.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\gspawn-win32-helper.exe"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\gspawn-win32-helper-console.exe"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libatk-1.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libpango-1.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libpangocairo-1.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libpangowin32-1.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libcairo-2.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libgdk-win32-2.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libgdk_pixbuf-2.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+Source: "bin\libgtk-win32-2.0-0.dll"; DestDir: "{app}\bin"; Components: gtk
+
+; Other glom dependency DLLs
+Source: "bin\libORBit-2-0.dll"; DestDir: "{app}\bin"; Components: main
+Source: "bin\libORBit-imodule-2-0.dll"; DestDir: "{app}\bin"; Components: main
+Source: "bin\libORBitCosNaming-2-0.dll"; DestDir: "{app}\bin"; Components: main
+Source: "bin\libgconf-2-4.dll"; DestDir: "{app}\bin"; Components: main
+Source: "bin\libgettextpo-0.dll"; DestDir: "{app}\bin"; Components: main
+Source: "bin\libgtksourceview-2.0-0.dll"; DestDir: "{app}\bin"; Components: main
+
+; Python modules
+Source: "bin\python25.dll"; DestDir: "{app}\bin"; Components: python
+; TODO: I would like to install these into python/ instead of /bin, but I
+; could not get python to locate them there (setting PYTHONPATH with setenv()
+; in Glom's main() does not work).
+; TODO: Change component of gda.pyd and glom.pyd to main instead of python
+; since we also need these when the user installed python and pygtk on its own.
+Source: "python/*.py"; DestDir: "{app}\bin"; Components: python; Flags: recursesubdirs
+Source: "python/*.pyd"; DestDir: "{app}\bin"; Components: python; Flags: recursesubdirs
+
+; gedit executables
+Source: "bin\gedit.exe"; DestDir: "{app}\bin"; Components: main
+
+; Modules
+;Source: "lib/gtk-2.0/2.10.0/immodules/*"; DestDir: "{app}/lib/gtk-2.0/2.10.0/immodules"; Components: gtk
+;Source: "gtk-query-immodules-2.0.exe"; DestDir: "{app}\bin"; Components: gtk; Flags: deleteafterinstall;
+Source: "etc/gtk-2.0/gdk-pixbuf.loaders"; DestDir: "{app}\etc\gtk-2.0"; Components: gtk;
+
+Source: "lib/gtk-2.0/2.10.0/engines/*"; DestDir: "{app}/lib/gtk-2.0/2.10.0/engines"; Components: gtk
+
+;Source: "lib/gtk-2.0/2.10.0/loaders/*"; DestDir: "{app}/lib/gtk-2.0/2.10.0/loaders"; Components: gtk
+;Source: "gdk-pixbuf-query-loaders.exe"; DestDir: "{app}\bin"; Components: gtk; Flags: deleteafterinstall;
+Source: "etc/gtk-2.0/gdk-pixbuf.loaders"; DestDir: "{app}\etc\gtk-2.0"; Components: gtk;
+
+;Source: "lib/pango/1.6.0/modules/*"; DestDir: "{app}/lib/pango/1.6.0/modules"; Components: gtk;
+;Source: "pango-querymodules.exe"; DestDir: "{app}\bin"; Components: gtk; Flags: deleteafterinstall;
+
+Source: "share/themes/MS-Windows/*"; DestDir: "{app}/share/themes/MS-Windows"; Flags: recursesubdirs; Components: gtk
+Source: "etc/gtk-2.0/gtkrc"; DestDir: "{app}/etc/gtk-2.0"; Components: gtk
+;Source: "querymodules.bat"; DestDir: "{app}\bin"; Components: gtk; Flags: deleteafterinstall;
+
+;Source: "lib/gnome-vfs-2.0/modules/*.dll"; DestDir: "{app}/lib/gnome-vfs-2.0/modules"; Components: main;
+;Source: "etc/gnome-vfs-2.0/modules/default-modules.conf"; DestDir: "{app}/etc/gnome-vfs-2.0/modules"; Components: main;
+
+; GtkSourceView
+Source: "share/gtksourceview-2.0/language-specs/*"; DestDir: "{app}/share/gtksourceview-2.0/language-specs"; Components: main
+Source: "share/gtksourceview-2.0/styles/*"; DestDir: "{app}/share/gtksourceview-2.0/styles"; Components: main
+
+; Icons
+Source: "share/icons/hicolor/48x48/apps/gedit.png"; DestDir: "{app}/share/icons/hicolor/48x48/apps"; Components: main
+Source: "share/pixmaps/gedit.png"; DestDir: "{app}/share/pixmaps"; Components: main
+
+; Other shared gedit files
+Source: "share/gedit-2/ui/*"; DestDir: "{app}/share/gedit-2/ui"; Components: main
+Source: "share/gedit-2/icons/gedit-plugin.png"; DestDir: "{app}/share/gedit-2/icons"; Components: main
+Source: "share/gedit-2/taglist/*"; DestDir: "{app}/share/gedit-2/taglist"; Components: main; Flags: recursesubdirs
+Source: "share/gedit-2/plugins/*"; DestDir: "{app}/share/gedit-2/plugins"; Components: main; Flags: recursesubdirs
+;Source: "share/glom/doc/*"; Destdir: "{app}/share/glom/doc/"; Components: main; Flags: recursesubdirs
+Source: "share/gedit-2/logo/gedit-logo.png"; Destdir: "{app}/share/gedit-2/logo/"; Components: main; Flags: recursesubdirs
+
+;Source: "share/themes/MS-Windows/*"; DestDir: "{app}/share/themes/MS-Windows"; Flags: recursesubdirs; Components: gtk
+
+; Locales
+Source: "lib\locale\*"; DestDir: "{app}\lib\locale\"; Flags: recursesubdirs; Components: locale
+Source: "share\locale\*"; DestDir: "{app}\share\locale\"; Flags: recursesubdirs; Components: locale
+
+; Register .glom file type if we install for all users. Is there a possibility
+; to register a type just for a single user?
+;[Registry]
+;Root: HKCR; Subkey: ".txt"; ValueType: string; ValueData: "geditfile"; Flags: deletevalue uninsdeletekeyifempty uninsdeletevalue; Tasks: common
+;Root: HKCR; Subkey: ".txt"; ValueType: string; ValueName: "Content Type"; ValueData: "application/x-glom"; Flags: deletevalue uninsdeletekeyifempty uninsdeletevalue; Tasks: common
+
+[Dirs]
+;Name: "{app}\etc\pango";
+;Name: "{app}\etc\gtk-2.0";
+
+[Run]
+Filename: "{app}\bin\querymodules.bat"; StatusMsg: "Querying modules..."; Flags: runhidden
+
+[Code]
+{ Remove generated files not generated by the installer }
+
+//procedure CurUninstallStepChanged(CurUninstallStep: TUninstallStep);
+//begin
+//	if CurUninstallStep = usUninstall then
+//	begin
+//		DeleteFile(ExpandConstant('{app}') + '\etc\gtk-2.0\gtk.immodules');
+//		DeleteFile(ExpandConstant('{app}') + '\etc\gtk-2.0\gdk-pixbuf.loaders');
+//		DeleteFile(ExpandConstant('{app}') + '\etc\pango\pango.modules');
+//	end;
+//end;
+
+//procedure DeinitializeUninstall();
+//begin
+//	{ Remove main dir and etc/ which are not removed automatically,
+//          probably because of the querymodule files not installed by the
+//          installer }
+//	DelTree(ExpandConstant('{app}') + '\etc', TRUE, TRUE, TRUE);
+//	DelTree(ExpandConstant('{app}'), TRUE, FALSE, FALSE);
+//end;
+
+// Skip Components selection, all components are required anyway
+function ShouldSkipPage(CurPageID: Integer): Boolean;
+begin
+	if CurPageID = wpSelectComponents then
+		Result := True
+	else
+		Result := False;
+end;

Added: branches/win32/win32/querymodules.bat
==============================================================================
--- (empty file)
+++ branches/win32/win32/querymodules.bat	Mon Dec 22 14:03:59 2008
@@ -0,0 +1,3 @@
+rem pango-querymodules.exe > ../etc/pango/pango.modules
+gdk-pixbuf-query-loaders.exe > ../etc/gtk-2.0/gdk-pixbuf.loaders
+gtk-query-immodules-2.0.exe > ../etc/gtk-2.0/gtk.immodules



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]